# -*- coding: utf-8 -*-
import math

from smartstairspackage import ids

SMARTSTAIRS_DEBUG                           = False

SMARTSTAIRS_STAIRS_WIDTH_DEFAULT            = 100.0
SMARTSTAIRS_STAIRS_HEIGHT_DEFAULT           = 180.0
SMARTSTAIRS_STAIRS_DEPTH_DEFAULT            = 300.0

SMARTSTAIRS_STAIRS_USESTEPDIMS_DEFAULT      = False

SMARTSTAIRS_STAIRS_NUM_DEFAULT              = 10

SMARTSTAIRS_STAIRS_REVERSE_DEFAULT          = False

SMARTSTAIRS_STAIRS_ANCHOR_DEFAULT           = ids.SMARTSTAIRS_STAIRS_ANCHOR_FRONT

SMARTSTAIRS_TYPE_INHERIT_DEFAULT            = True
SMARTSTAIRS_STAIRS_TYPE_DEFAULT             = ids.SMARTSTAIRS_STAIRS_TYPE_STD

SMARTSTAIRS_STAIRS_ZIGZAG_DEFAULT           = False
SMARTSTAIRS_STAIRS_TOBOTTOM_DEFAULT         = True
SMARTSTAIRS_STAIRS_BOTTOMOFFSET_DEFAULT     = 0.0

SMARTSTAIRS_STAIRS_HELIX_DEG_DEFAULT        = math.pi
SMARTSTAIRS_STAIRS_HELIX_INRAD_DEFAULT      = 0.0
SMARTSTAIRS_STAIRS_HELIX_HASCYL_DEFAULT     = True
SMARTSTAIRS_STAIRS_HELIX_CYLRAD_DEFAULT     = 5.0

SMARTSTAIRS_STAIRS_BASEWIDTH_DEFAULT        = 10.0
SMARTSTAIRS_STAIRS_BASEHEIGHT_DEFAULT       = 0.0
SMARTSTAIRS_STAIRS_BASEDISTANCE_DEFAULT     = 0.0

SMARTSTAIRS_TREADS_INHERIT_DEFAULT          = True
SMARTSTAIRS_STAIRS_HASTREADS_DEFAULT        = True

SMARTSTAIRS_TREADS_HEIGHT_DEFAULT           = 4.0
SMARTSTAIRS_TREADS_DEPTH_DEFAULT            = 0.0
SMARTSTAIRS_TREADS_DEPTH_HELIX_DEFAULT      = 10.0
SMARTSTAIRS_TREADS_OFFSETZ_DEFAULT          = 0.0
SMARTSTAIRS_TREADS_OFFSETY_DEFAULT          = 0.0

SMARTSTAIRS_TREADS_HASFILLET_DEFAULT        = True
SMARTSTAIRS_TREADS_FILLETRAD_DEFAULT        = 0.5
SMARTSTAIRS_TREADS_FILLETSUB_DEFAULT        = 3

SMARTSTAIRS_TREADS_LINKSCALE_DEFAULT        = True

SMARTSTAIRS_RAILING_INHERIT_DEFAULT         = True
SMARTSTAIRS_STAIRS_HASRAILING_DEFAULT       = False

SMARTSTAIRS_RAILING_TYPE_DEFAULT            = ids.SMARTSTAIRS_RAILING_TYPE_RIGHT
SMARTSTAIRS_RAILING_HEIGHT_DEFAULT          = 90.0
SMARTSTAIRS_RAILING_RAD1_DEFAULT            = 1.0
SMARTSTAIRS_RAILING_RAD2_DEFAULT            = 2
SMARTSTAIRS_RAILING_OFFSETX_DEFAULT         = 2.0
SMARTSTAIRS_RAILING_OFFSETZ_DEFAULT         = 5.0
SMARTSTAIRS_RAILING_OVERTOP_DEFAULT         = 5.0
SMARTSTAIRS_RAILING_OVERBOTTOM_DEFAULT      = 5.0
SMARTSTAIRS_RAILING_NTH_DEFAULT             = 1

SMARTSTAIRS_RAILING_LINKSCALE_DEFAULT       = True
SMARTSTAIRS_RAILING_HLINKSCALE_DEFAULT      = True

SMARTSTAIRS_PLATFORM_DIRECTION_DEFAULT      = ids.SMARTSTAIRS_PLATFORM_DIR_FRONT

SMARTSTAIRS_PLATFORM_DEPTH_DEFAULT          = 30.0
SMARTSTAIRS_PLATFORM_WIDTH_DEFAULT          = 0.0

SMARTSTAIRS_MATERIALS_INHERIT_DEFAULT       = True